# RPM specfile for scrollkeeper module
# Generated Tue Nov 18 22:19:05 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.41.2.2 2003/11/01 17:12:30 mibarra Exp $

%define nam	scrollkeeper
%define ver	0.3.12
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	scrollkeeper
Version: 	0.3.12
Release:	3.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	scrollkeeper-0.3.12.tar.gz
Patch0:		scrollkeeper-no-update.patch
Summary:	A free electronic cataloging system for documentation.
Group:		Applications/System
Provides:	ximian-scrollkeeper = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	scrollkeeper-devel
Conflicts:	scrollkeeper-devel

%description
It stores metadata specified by the http://www.ibiblio.org/osrt/omf/ (Open
Source Metadata Framework) as well as certain metadata extracted directly
from documents (such as the table of contents).

It provides various functionality pertaining to this metadata to help
browsers, such as sorting the registered documents or searching the
metadata for documents which satisfy a set of criteria.

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING NEWS ABOUT-NLS INSTALL COPYING-DOCS
/usr/bin/*
/usr/share/man/man?/*
/usr/share/scrollkeeper/
/usr/share/omf/
/usr/share/xml/*
/usr/*/locale/*/LC_MESSAGES/*
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.a
/var/lib/scrollkeeper
%config(noreplace) /etc/scrollkeeper.conf


%post
PATH=$PATH:/usr/bin

ldconfig

%postun
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n scrollkeeper-0.3.12
    ;;
all)
%setup  -q -n scrollkeeper-0.3.12
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    aclocal-1.4 ${ACLOCAL_FLAGS}; automake-1.4 --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 0.3.12-3.ximian.6.4
- Summary: New build.
- New automated build.

* Fri Apr 25 2003 Ximian, Inc.

- Version: 0.3.11-3.ximian.4
- Summary: New build.
- New automated build.

* Fri Jul 12 2002 Ximian, Inc.

- Version: 0.3.10-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 21 2002 Ximian, Inc.

- Version: 0.2-6a.ximian.6
- Summary: New build.
- New automated build.

